#mPythonType:0

from mpython import *
import usocket
import network

my_wifi = wifi()

my_wifi.connectWiFi('sxs', 'smj080823')
while not my_wifi.sta.isconnected():
    pass
oled.fill(0)
oled.DispChar(my_wifi.sta.ifconfig()[0], 0, 0, 1)
oled.show()
#socket.socket() 创建了一个 socket 对象，并且支持 context manager type，你可以使用 with 语句，这样你就不用再手动调用 s.close() 来关闭 socket 了
s=usocket.socket(usocket.AF_INET,usocket.SOCK_STREAM)
#bind() 方法的入参取决于 socket 的地址族，在这个例子中我们使用了 socket.AF_INET (IPv4)，它接收一个二元组(host, port)入参
#端口号应该是 1-65535 之间的整数（0是保留的），这个整数就是用来接受客户端链接的 TCP 端口号，如果端口号小于 1024，有的操作系统会要求管理员权限
s.bind((my_wifi.sta.ifconfig()[0],10000))
#listen() 方法调用使服务器可以接受连接请求，这使它成为一个「监听中」的 socket
#listen() 方法有一个 backlog 参数。它指定在拒绝新的连接之前系统将允许使用的 未接受的连接 数量。从 Python 3.5 开始，这是可选参数。如果不指定，Python 将取一个默认值
s.listen(5)

while True:
    #accept() 方法阻塞并等待传入连接。当一个客户端连接时，它将返回一个新的 socket 对象，对象中有表示当前连接的 conn 和一个由主机、端口号组成的 IPv4/v6 连接的元组
     con=s.accept()[0]
     data=con.recv(1024)
     fbuf=framebuf.FrameBuffer(bytearray(data),88,64,framebuf.MONO_HLSB)
     oled.fill(0)
     oled.blit(fbuf,19,0)
     oled.show()
     con.close()



